#include "ddr.h"

int memtest(uint32);

void clear_ecc_err(void);
void init_syndromes(void);


int basic_ecc_test(void);
int sbe_detect_test(void);
int dbe_detect_test(void);
int sbe_correct_test(void);
int ecc_dis_wcrer_test(void);
int ecc_no_storage_mode_test(void);
int ecc_32bit_test(void);
int ecc_16bit_test(void);
int ecc_8bit_test(void);

